Saltar al contenido
Guías
CatálogoNotificaciones
notification:read

Obtener plantilla de notificación por clave

GET/v1/notifications/templates/{templateKey}

Obtener plantilla de notificación por clave. Una solicitud exitosa devuelve HTTP 200 con el cuerpo de respuesta documentado.

Autorización

bearerAuth
AutorizaciónBearer <token>

Token de acceso OAuth 2.0 emitido por Ecomiq Auth.

Ubicación: header

Parámetros de ruta

templateKey*string

Clave de la plantilla.

Parámetros de consulta

channel*string

Código del canal de venta.

Valor en

  • "email"
  • "sms"
  • "push"
  • "whatsApp"
  • "inApp"
  • "webhook"
locale?string

Código de idioma del contenido localizado.

Parámetros de cabecera

x-Store-Id?string

Tienda sobre la que actúa la solicitud. No hace falta cuando el token ya está vinculado a una tienda.

Authorization*string

Token bearer OAuth 2.0.

Cuerpo de la respuesta

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/notifications/templates/example?channel=email" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
{  "id": "7204558912004325301",  "tenantId": "7204558912004325301",  "key": "example",  "group": "example",  "name": "Example resource",  "notification": "email",  "version": 1,  "bodyTpl": "example",  "status": "draft"}